'use strict';

const fs = require('fs');
const path = require('path');
const dir = fs.readdirSync(path.join(__dirname, 'services'));
const _ = require('lodash');

const SERVICES = {};

dir.map((serviceFilename) => {
    const serviceName = _.chain(serviceFilename)
        .replace('.js', '')
        .camelCase()
        .value();
    SERVICES[serviceName] = require(`./services/${serviceFilename}`);
});

const internalServiceConfig = {
    services: SERVICES,
    names: _.chain(SERVICES)
        .mapValues((val, key) => key)
        .mapKeys((val, key) => _.chain(key).snakeCase().toUpper().value())
        .value()
};

module.exports = internalServiceConfig;
